NETWAVE_CS(4)

NAME
netwave_cs - Xircom Creditcard Netwave device driver

SYNOPSIS
insmod netwave_cs.o [pc_debug=n] [domain=n] [scramble_key=n] [mem_speed=n] [irq_list=i,j,...]

DESCRIPTION
Netwave_cs is the low-level Card Services driver for the Xircom Creditcard Netwave PCMCIA wireless network adapter. When this driver is attached to a card, it allocates the next available ethernet device (eth0..eth#). This device name will be reported in the kernel log file, and will be passed on to cardmgr(8).

The wireless domain number and scrambling key can be specified using module parameters when the module is loaded. These parameters should be specified in /etc/pcmcia/config.opts.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

domain=n
    Selects what access point(s) to talk to, by their domain number. Values from 0 to 0x1ff are valid; 0x100 is the default.

scramble_key=n
    Selects the scramble key for domains that are scrambled. Values from 0 to 0x1ff are valid. The default is 0 (no scrambling).

mem_speed=n
    Sets the access speed of the shared memory window, in nanoseconds. The default is 0 (i.e., no extra wait states). Values of up to 1000 are legal.

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

BUGS
The statistics reported back from the driver are wrong.

AUTHORS
Dag Brattli - dagb@cs.uit.no
John Markus Bjorndalen - johnm@staff.cs.uit.no
David Hinds - dhinds@hyper.stanford.edu

SEE ALSO
cardmgr(8), pcmcia(5).